CMSIS-DSP: complex_math_functions_f16.h File Reference

| CMSIS-DSP CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
complex_math_functions_f16.h File Reference

## Functions

void | arm_cmplx_conj_f16 (const float16_t *pSrc, float16_t *pDst, uint32_t numSamples)
| Floating-point complex conjugate. More...
void | arm_cmplx_mag_squared_f16 (const float16_t *pSrc, float16_t *pDst, uint32_t numSamples)
| Floating-point complex magnitude squared. More...
void | arm_cmplx_mag_f16 (const float16_t *pSrc, float16_t *pDst, uint32_t numSamples)
| Floating-point complex magnitude. More...
void | arm_cmplx_dot_prod_f16 (const float16_t *pSrcA, const float16_t *pSrcB, uint32_t numSamples, float16_t *realResult, float16_t *imagResult)
| Floating-point complex dot product. More...
void | arm_cmplx_mult_real_f16 (const float16_t *pSrcCmplx, const float16_t *pSrcReal, float16_t *pCmplxDst, uint32_t numSamples)
| Floating-point complex-by-real multiplication. More...
void | arm_cmplx_mult_cmplx_f16 (const float16_t *pSrcA, const float16_t *pSrcB, float16_t *pDst, uint32_t numSamples)
| Floating-point complex-by-complex multiplication. More...